Merge "Update archive items path for csit-hc2vpp jobs"
authorVanessa Rene Valderrama <vvalderrama@linuxfoundation.org>
Mon, 17 Jul 2017 14:39:28 +0000 (14:39 +0000)
committerGerrit Code Review <gerrit@fd.io>
Mon, 17 Jul 2017 14:39:28 +0000 (14:39 +0000)
21 files changed:
jjb/csit/csit.yaml
jjb/csit/include-raw-csit-nsh_sfc-functional-virl.sh [new file with mode: 0644]
jjb/csit/include-raw-csit-nsh_sfc-perf-hw.sh [moved from jjb/nsh_sfc/include-raw-csit-nsh_sfc-perf-hw.sh with 100% similarity]
jjb/csit/include-raw-csit-tldk-functional-virl.sh [new file with mode: 0644]
jjb/csit/include-raw-csit-vpp-verify-nightly.sh [new file with mode: 0644]
jjb/deb_dpdk/deb_dpdk.yaml
jjb/hc2vpp/hc2vpp-csit.yaml
jjb/hc2vpp/hc2vpp.yaml
jjb/hc2vpp/include-raw-hc2vpp-csit-verify-prebuild.sh
jjb/honeycomb/honeycomb.yaml
jjb/nsh_sfc/include-raw-nsh_sfc-csit-functional-virl.sh [moved from jjb/nsh_sfc/include-raw-csit-nsh_sfc-functional-virl.sh with 98% similarity]
jjb/nsh_sfc/include-raw-nsh_sfc-csit-perf-hw.sh [new file with mode: 0644]
jjb/nsh_sfc/nsh_sfc.yaml
jjb/scripts/setup_vpp_dpdk_dev_env.sh
jjb/tldk/include-raw-csit-tldk-functional-virl.sh [deleted file]
jjb/tldk/include-raw-tldk-csit-functional-virl.sh [new file with mode: 0644]
jjb/tldk/tldk.yaml
jjb/vpp/include-raw-vpp-build.sh
jjb/vpp/include-raw-vpp-csit-functional.sh
jjb/vpp/include-raw-vpp-csit-verify-perf.sh
jjb/vpp/vpp.yaml

index 510cc6c..a796608 100644 (file)
@@ -1,3 +1,17 @@
+# Copyright (c) 2017 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+
 - project:
     name: csit
     description: 'CSIT jenkins jobs.'
@@ -20,6 +34,9 @@
         - 'csit-vpp-perf-check-{stream}'
         - 'csit-vpp-perf-ndrchk-daily-master'
         - 'csit-vpp-perf-verify-{stream}'
+        - 'csit-nsh_sfc-verify-perf-{stream}'
+        - 'csit-nsh_sfc-verify-func-{stream}-{os}-virl'
+        - 'csit-tldk-verify-func-{stream}-{os}-virl'
 
     project: 'csit'
     branch: 'master'
@@ -32,9 +49,9 @@
         - master:
             branch: 'master'
             branch-id: 'oper'
-        - '1704':
-            branch: 'rls1704'
-            branch-id: 'oper-rls1704'
+        - '1707':
+            branch: 'rls1707'
+            branch-id: 'oper-rls1707'
     stream:
         - master:
             branch: 'master'
@@ -51,6 +68,9 @@
         - '1704':
             branch: 'rls1704'
             branch-id: 'oper-rls1704'
+        - '1707':
+            branch: 'rls1707'
+            branch-id: 'oper-rls1707'
 
 
 - job-template:
         - fdio-infra-shiplogs:
             maven-version: 'mvn33-new'
 
+- job-template:
+    name: 'csit-vpp-verify-{stream_timed}-centos7-nightly'
+    description: 'Purpose of this job is to validate latest centos7 vpp build from corresponding branch stored in nexus against verified CSIT codebase of corresponding branch.'
+
+    project-type: freestyle
+    node: centos7-basebuild-4c-4g'
+    concurrent: false
+
+    logrotate:
+        daysToKeep: '{build-days-to-keep}'
+        numToKeep: '{build-num-to-keep}'
+        artifactDaysToKeep: '{build-artifact-days-to-keep}'
+        artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - gerrit-parameter:
+            branch: '{branch}'
+
+    scm:
+        - git-scm:
+            credentials-id: 'jenkins-gerrit-credentials'
+            branch: '{branch}'
+
+    wrappers:
+        - fdio-infra-wrappers:
+            build-timeout: '{build-timeout}'
+
+    triggers:
+        - timed: 'H H(3-4) * * *'
+
+        - gerrit-trigger-manually-triggered:
+            comment-trigger-value: 'vpp-verify-func-centos7'
+            name: '{project}'
+            branch: '{branch}'
+
+    builders:
+        - shell: 'echo "BRANCH_ID={branch-id}" > $WORKSPACE/variables.prop'
+        - inject:
+            properties-file: variables.prop
+        - shell:
+            !include-raw-escape: jjb/csit/include-raw-csit-vpp-verify-nightly.sh
+
+    publishers:
+        - archive-artifacts:
+            artifacts: 'csit/archive/*.*'
+            latest-only: false
+
+        - robot-report:
+            output-path: 'csit/archive'
+
+        - fdio-infra-shiplogs:
+            maven-version: 'mvn33-new'
+
 - job-template:
     name: 'csit-vpp-verify-perf-master-nightly-all'
     description: 'Purpose of this job is to validate latest vpp build from corresponding branch stored in nexus against verified CSIT codebase of corresponding branch.'
         - fdio-infra-shiplogs:
             maven-version: 'mvn33-new'
 
+- job-template:
+    name: 'csit-nsh_sfc-verify-perf-{stream}'
+
+    project-type: freestyle
+    node: 'ubuntu1604-basebuild-4c-4g'
+    concurrent: true
+
+    logrotate:
+        daysToKeep: '{build-days-to-keep}'
+        numToKeep: '{build-num-to-keep}'
+        artifactDaysToKeep: '{build-artifact-days-to-keep}'
+        artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - gerrit-parameter:
+            branch: '{branch}'
+
+    scm:
+        - gerrit-trigger-scm:
+            credentials-id: 'jenkins-gerrit-credentials'
+            refspec: '$GERRIT_REFSPEC'
+            choosing-strategy: 'gerrit'
+
+    wrappers:
+      - fdio-infra-wrappers-non-activity-timeout:
+          build-timeout: 30
+
+    triggers:
+        - gerrit-trigger-manually-triggered:
+            name: '{project}'
+            branch: '{branch}'
+            comment-trigger-value: 'csit_nsh_sfc_perf'
+
+    builders:
+        - shell:
+            !include-raw-escape: jjb/csit/include-raw-csit-nsh_sfc-perf-hw.sh
+
+    publishers:
+        - archive-artifacts:
+            artifacts: 'archive/*.*'
+            latest-only: false
+
+        - robot-report:
+            output-path: 'archive'
+
+        - fdio-infra-shiplogs:
+            maven-version: 'mvn33-new'
+
+- job-template:
+    name: 'csit-nsh_sfc-verify-func-{stream}-{os}-virl'
+
+    project-type: freestyle
+    node: '{os}-basebuild-4c-4g'
+    concurrent: true
+
+    logrotate:
+        daysToKeep: '{build-days-to-keep}'
+        numToKeep: '{build-num-to-keep}'
+        artifactDaysToKeep: '{build-artifact-days-to-keep}'
+        artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - gerrit-parameter:
+            branch: '{branch}'
+        - os-parameter:
+            os: '{os}'
+
+    scm:
+        - gerrit-trigger-scm:
+            credentials-id: 'jenkins-gerrit-credentials'
+            refspec: '$GERRIT_REFSPEC'
+            choosing-strategy: 'gerrit'
+
+    wrappers:
+        - fdio-infra-wrappers:
+            build-timeout: '{build-timeout}'
+
+    triggers:
+        - gerrit-trigger-manually-triggered:
+            name: '{project}'
+            branch: '{branch}'
+            comment-trigger-value: 'csit_nsh_sfc_func'
+
+    builders:
+        - shell:
+            !include-raw-escape: include-raw-csit-nsh_sfc-functional-virl.sh
+
+    publishers:
+        - archive-artifacts:
+            artifacts: 'archive/*.*'
+            latest-only: false
+
+        - robot-report:
+            output-path: 'archive'
+
+        - fdio-infra-shiplogs:
+            maven-version: 'mvn33-new'
+
+- job-template:
+    name: 'csit-tldk-verify-func-{stream}-{os}-virl'
+
+    project-type: freestyle
+    node: '{os}-basebuild-4c-4g'
+    concurrent: true
+
+    logrotate:
+        daysToKeep: '{build-days-to-keep}'
+        numToKeep: '{build-num-to-keep}'
+        artifactDaysToKeep: '{build-artifact-days-to-keep}'
+        artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - gerrit-parameter:
+            branch: '{branch}'
+        - os-parameter:
+            os: '{os}'
+
+    scm:
+        - gerrit-trigger-scm:
+            credentials-id: 'jenkins-gerrit-credentials'
+            refspec: '$GERRIT_REFSPEC'
+            choosing-strategy: 'gerrit'
+
+    wrappers:
+        - fdio-infra-wrappers:
+            build-timeout: '{build-timeout}'
+
+    triggers:
+        - gerrit-trigger-manually-triggered:
+            name: '{project}'
+            branch: '{branch}'
+            comment-trigger-value: 'csit_verify_tldk_func'
+
+    builders:
+        - shell:
+            !include-raw-escape: include-raw-csit-tldk-functional-virl.sh
+
+    publishers:
+        - archive-artifacts:
+            artifacts: 'archive/*.*'
+            latest-only: false
+
+        - robot-report:
+            output-path: 'archive'
+
+        - fdio-infra-shiplogs:
+            maven-version: 'mvn33-new'
+
 - parameter:
     name: test-type-parameter
     parameters:
diff --git a/jjb/csit/include-raw-csit-nsh_sfc-functional-virl.sh b/jjb/csit/include-raw-csit-nsh_sfc-functional-virl.sh
new file mode 100644 (file)
index 0000000..3e88579
--- /dev/null
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -xeu -o pipefail
+
+# execute nsh_sfc bootstrap script if it exists
+if [ -e bootstrap-nsh_sfc-functional-virl.sh ]
+then
+    # make sure that bootstrap-nsh_sfc-functional-virl.sh is executable
+    chmod +x bootstrap-nsh_sfc-functional-virl.sh
+    # run the script
+    ./bootstrap-nsh_sfc-functional-virl.sh
+else
+    echo 'ERROR: No bootstrap-nsh_sfc-functional-virl.sh found'
+    exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/csit/include-raw-csit-tldk-functional-virl.sh b/jjb/csit/include-raw-csit-tldk-functional-virl.sh
new file mode 100644 (file)
index 0000000..bcaf17b
--- /dev/null
@@ -0,0 +1,38 @@
+#!/bin/bash
+# Copyright (c) 2017 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -xeu -o pipefail
+
+# Clone tldk and start tests
+git clone https://gerrit.fd.io/r/tldk
+
+# If the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+    echo "Failed to run: git clone https://gerrit.fd.io/r/tldk"
+    exit 1
+fi
+
+# execute tldk bootstrap script if it exists
+if [ -e bootstrap-TLDK.sh ]
+then
+    # make sure that bootstrap-TLDK.sh is executable
+    chmod +x bootstrap-TLDK.sh
+    # run the script
+    ./bootstrap-TLDK.sh
+else
+    echo 'ERROR: No bootstrap-TLDK.sh found'
+    exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/csit/include-raw-csit-vpp-verify-nightly.sh b/jjb/csit/include-raw-csit-vpp-verify-nightly.sh
new file mode 100644 (file)
index 0000000..267072b
--- /dev/null
@@ -0,0 +1,47 @@
+#!/bin/bash
+set -xeu -o pipefail
+
+# check BRANCH_ID value
+if [ "$BRANCH_ID" == "" ]; then
+    echo "branch_id not provided => 'master' will be used"
+    BRANCH_ID="master"
+fi
+
+# clone csit
+git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit
+
+# if the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+    echo "Failed to run: git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit"
+    exit 1
+fi
+
+cd csit
+
+# get the latest verified version of the required branch
+BRANCH_NAME=$(echo $(git branch -r | grep -E "${BRANCH_ID}-[0-9]+" | tail -n 1))
+
+if [ "${BRANCH_NAME}" == "" ]; then
+    echo "No verified version found for requested branch - exiting"
+    exit 1
+fi
+
+# remove 'origin/' from the branch name
+BRANCH_NAME=$(echo ${BRANCH_NAME#origin/})
+
+# checkout to the required branch
+git checkout ${BRANCH_NAME}
+
+# execute csit bootstrap script if it exists
+if [ -e bootstrap-vpp-verify-nightly.sh ]
+then
+    # make sure that bootstrap.sh is executable
+    chmod +x bootstrap-vpp-verify-nightly.sh
+    # run the script
+    ./bootstrap-vpp-verify-nightly.sh
+else
+    echo 'ERROR: No bootstrap-vpp-verify-nightly.sh found'
+    exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :
index 62d55a5..abc238c 100644 (file)
@@ -18,6 +18,9 @@
         - 1611:
             branch: '16.11.x'
             repo-stream-part: 'deb_dpdk_1611'
+        - 1705:
+            branch: '17.05.x'
+            repo-stream-part: 'deb_dpdk_1705'
 
 - job-template:
     name: 'deb_dpdk-verify-{stream}-{os}'
index 4b40365..54921a4 100644 (file)
@@ -18,6 +18,9 @@
         - '1704':
             branch: 'stable/1704'
             repo-stream-part: 'stable.1704'
+        - '1707':
+            branch: 'stable/1707'
+            repo-stream-part: 'stable.1707'
     os:
         - ubuntu1604:
             repo-os-part: 'ubuntu.xenial.main'
index 68282f3..7df7cc5 100644 (file)
@@ -23,6 +23,9 @@
         - '1704':
             branch: 'stable/1704'
             repo-stream-part: 'stable.1704'
+        - '1707':
+            branch: 'stable/1707'
+            repo-stream-part: 'stable.1707'
 
 - job-template:
     name: 'hc2vpp-verify-{stream}-{os}'
index 77992b4..c08b830 100644 (file)
@@ -25,9 +25,9 @@ fi
 cd csit
 
 if [ ${STREAM} == 'master' ]; then
-    ./resources/tools/download_hc_build_pkgs.sh ${STREAM} ${OS}
+    ./resources/tools/scripts/download_hc_build_pkgs.sh ${STREAM} ${OS}
 else
-    ./resources/tools/download_hc_build_pkgs.sh 'stable.'${STREAM} ${OS}
+    ./resources/tools/scripts/download_hc_build_pkgs.sh 'stable.'${STREAM} ${OS}
 fi
 
 cd ${current_dir}
index 69fa837..c049a87 100644 (file)
@@ -21,6 +21,9 @@
         - '1704':
             branch: 'stable/1704'
             repo-stream-part: 'stable.1704'
+        - '1707':
+            branch: 'stable/1707'
+            repo-stream-part: 'stable.1707'
 
 - job-template:
     name: 'honeycomb-verify-{stream}-{os}'
@@ -7,7 +7,7 @@ git clone https://gerrit.fd.io/r/csit
 # If the git clone fails, complain clearly and exit
 if [ $? != 0 ]; then
     echo "Failed to run: git clone https://gerrit.fd.io/r/csit"
-exit
+    exit 1
 fi
 
 cd csit
diff --git a/jjb/nsh_sfc/include-raw-nsh_sfc-csit-perf-hw.sh b/jjb/nsh_sfc/include-raw-nsh_sfc-csit-perf-hw.sh
new file mode 100644 (file)
index 0000000..98b1d07
--- /dev/null
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+set -xeu -o pipefail
+
+# Clone csit and start tests
+git clone https://gerrit.fd.io/r/csit
+
+# If the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+    echo "Failed to run: git clone https://gerrit.fd.io/r/csit"
+    exit 1
+fi
+
+cd csit
+
+# execute  nsh_sfc bootstrap script if it exists
+if [ ! -e bootstrap-verify-perf-nsh_sfc.sh ]
+then
+    echo 'ERROR: No bootstrap-verify-perf-nsh_sfc.sh found'
+    exit 1
+fi
+
+# make sure that bootstrap-verify-perf.sh is executable
+chmod +x bootstrap-verify-perf-nsh_sfc.sh
+# run the script
+./bootstrap-verify-perf-nsh_sfc.sh
+
+# vim: ts=4 ts=4 sts=4 et :
index 7d630be..a21f086 100644 (file)
@@ -7,8 +7,6 @@
         - 'nsh_sfc-verify-image-{stream}-{os}'
         - 'nsh_sfc-verify-docs-{stream}'
         - 'nsh_sfc-merge-docs-{stream}'
-        - 'csit-nsh_sfc-verify-perf-{stream}'
-        - 'csit-nsh_sfc-verify-func-{stream}-{os}-virl'
 
     project: 'nsh_sfc'
     os:
         - '1704':
             branch: 'stable/1704'
             repo-stream-part: 'stable.1704'
+        - '1707':
+            branch: 'stable/1707'
+            repo-stream-part: 'stable.1707'
+
+- project:
+    name: nsh_sfc-misc
+    jobs:
+        - 'nsh_sfc-csit-verify-perf-{stream}'
+        - 'nsh_sfc-csit-verify-func-{stream}-{os}-virl'
+
+    project: 'nsh_sfc'
+    stream:
+        - master:
+            branch: 'master'
+            repo-stream-part: 'master'
+        - '1609':
+            branch: 'stable/1609'
+            repo-stream-part: 'stable.1609'
+        - '1701':
+            branch: 'stable/1701'
+            repo-stream-part: 'stable.1609'
+        - '1704':
+            branch: 'stable/1704'
+            repo-stream-part: 'stable.1704'
+        - '1707':
+            branch: 'stable/1707'
+            repo-stream-part: 'stable.1707'
+
+    os: ubuntu1604
 
 - job-template:
     name: 'nsh_sfc-verify-{stream}-{os}'
             maven-version: 'mvn33-new'
 
 - job-template:
-    name: 'csit-nsh_sfc-verify-perf-{stream}'
+    name: 'nsh_sfc-csit-verify-perf-{stream}'
 
     project-type: freestyle
     node: 'ubuntu1604-basebuild-4c-4g'
             project: '{project}'
         - gerrit-parameter:
             branch: '{branch}'
+        - os-parameter:
+            os: '{os}'
+        - repo-name-parameter:
+            repo-name: '{repo-stream-part}.ubuntu.xenial.main'
 
     scm:
         - gerrit-trigger-scm:
         - gerrit-trigger-manually-triggered:
             name: '{project}'
             branch: '{branch}'
-            comment-trigger-value: 'nsh_sfc_perf_weekly'
+            comment-trigger-value: 'nsh_sfc_perf'
 
     builders:
         - shell:
-            !include-raw-escape: jjb/nsh_sfc/include-raw-csit-nsh_sfc-perf-hw.sh
+            !include-raw-escape: include-raw-nsh_sfc-csit-perf-hw.sh
 
     publishers:
         - archive-artifacts:
-            artifacts: 'csit/report.html, csit/log.html, csit/output.xml, csit/output_perf_data.xml'
+            artifacts: 'csit/archive/*.*'
             latest-only: false
 
         - robot-report:
-            output-path: ''
+            output-path: 'csit/archive'
 
         - fdio-infra-shiplogs:
             maven-version: 'mvn33-new'
 
 - job-template:
-    name: 'csit-nsh_sfc-verify-func-{stream}-{os}-virl'
+    name: 'nsh_sfc-csit-verify-func-{stream}-{os}-virl'
 
     project-type: freestyle
     node: '{os}-basebuild-4c-4g'
         - os-parameter:
             os: '{os}'
         - repo-name-parameter:
-            repo-name: '{repo-stream-part}.{repo-os-part}'
+            repo-name: '{repo-stream-part}.ubuntu.xenial.main'
 
     scm:
         - gerrit-trigger-scm:
 
     builders:
         - shell:
-            !include-raw-escape: include-raw-csit-nsh_sfc-functional-virl.sh
+            !include-raw-escape: include-raw-nsh_sfc-csit-functional-virl.sh
 
     publishers:
         - archive-artifacts:
-            artifacts: 'csit/report.html, csit/log.html, csit/output.xml'
+            artifacts: 'csit/archive/*.*'
             latest-only: false
 
         - robot-report:
-            output-path: ''
+            output-path: 'csit/archive'
 
         - fdio-infra-shiplogs:
             maven-version: 'mvn33-new'
index cfb9961..f36bcaa 100644 (file)
@@ -26,6 +26,7 @@ function setup {
             echo "deb ${REPO_URL} ./" | sudo tee /etc/apt/sources.list.d/99fd.io.list
             sudo apt-get update || true
             sudo apt-get -y --force-yes install vpp-dpdk-dev || true
+            sudo apt-get -y --force-yes install vpp-dpdk-dkms || true
         elif [[ $DISTRIB_ID == "CentOS" ]]; then
             sudo cat << EOF > fdio-master.repo
 [fdio-master]
diff --git a/jjb/tldk/include-raw-csit-tldk-functional-virl.sh b/jjb/tldk/include-raw-csit-tldk-functional-virl.sh
deleted file mode 100644 (file)
index 1f57e82..0000000
+++ /dev/null
@@ -1,27 +0,0 @@
-#!/bin/bash
-set -xeu -o pipefail
-
-# Clone csit and start tests
-git clone https://gerrit.fd.io/r/csit
-
-# If the git clone fails, complain clearly and exit
-if [ $? != 0 ]; then
-    echo "Failed to run: git clone https://gerrit.fd.io/r/csit"
-exit
-fi
-
-cd csit
-
-# execute nsh_sfc bootstrap script if it exists
-if [ -e bootstrap-TLDK.sh ]
-then
-    # make sure that bootstrap-TLDK.sh is executable
-    chmod +x bootstrap-TLDK.sh
-    # run the script
-    ./bootstrap-TLDK.sh
-else
-    echo 'ERROR: No bootstrap-TLDK.sh found'
-    exit 1
-fi
-
-# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/tldk/include-raw-tldk-csit-functional-virl.sh b/jjb/tldk/include-raw-tldk-csit-functional-virl.sh
new file mode 100644 (file)
index 0000000..547a000
--- /dev/null
@@ -0,0 +1,52 @@
+#!/bin/bash
+# Copyright (c) 2017 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -xeu -o pipefail
+
+# Clone tldk and start tests
+git clone https://gerrit.fd.io/r/tldk
+
+# If the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+    echo "Failed to run: git clone https://gerrit.fd.io/r/tldk"
+    exit 1
+fi
+
+# Clone csit and start tests
+git clone https://gerrit.fd.io/r/csit
+
+# If the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+    echo "Failed to run: git clone https://gerrit.fd.io/r/csit"
+    exit 1
+fi
+
+# Move the tldk to the csit dir
+sudo mv -f ./tldk/ ./csit/
+
+cd csit
+
+# execute nsh_sfc bootstrap script if it exists
+if [ -e bootstrap-TLDK.sh ]
+then
+    # make sure that bootstrap-TLDK.sh is executable
+    chmod +x bootstrap-TLDK.sh
+    # run the script
+    ./bootstrap-TLDK.sh
+else
+    echo 'ERROR: No bootstrap-TLDK.sh found'
+    exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :
index 3f86e96..41e1b54 100644 (file)
@@ -1,10 +1,24 @@
+# Copyright (c) 2017 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+
 - project:
     name: tldk
     jobs:
         - '{project}-verify-{stream}-{os}'
         - '{project}-merge-{stream}-{os}'
         - '{project}-verify-image-{stream}-{os}'
-        - 'csit-tldk-verify-func-{stream}-{os}-virl'
+        - 'tldk-csit-verify-func-{stream}-{os}-virl'
 
     project: 'tldk'
     os:
           maven-version: 'mvn33-new'
 
 - job-template:
-    name: 'csit-tldk-verify-func-{stream}-{os}-virl'
+    name: 'tldk-csit-verify-func-{stream}-{os}-virl'
 
     project-type: freestyle
     node: '{os}-basebuild-4c-4g'
             build-timeout: '{build-timeout}'
 
     triggers:
-        - gerrit-trigger-patch-submitted:
+        - gerrit-trigger-manually-triggered:
             name: '{project}'
             branch: '{branch}'
+            comment-trigger-value: 'verify-tldk-func'
 
     builders:
         - shell:
-            !include-raw-escape: include-raw-csit-tldk-functional-virl.sh
+            !include-raw-escape: include-raw-tldk-csit-functional-virl.sh
 
     publishers:
         - archive-artifacts:
-            artifacts: 'report.html, log.html, output.xml'
+            artifacts: 'csit/report.html, csit/log.html, csit/output.xml'
             latest-only: false
 
         - robot-report:
index b51b41a..5bcd357 100644 (file)
@@ -39,7 +39,9 @@ then
     echo "Building using \"make verify\""
     [ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes verify
 else
-    echo "Building using \"build-root/vagrant/build.sh\""
+    echo "Building using \"make build-root/vagrant/build.sh\""
+    [ "x${DRYRUN}" == "xTrue" ] || make install-dep
+    [ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes dpdk-install-dev
     [ "x${DRYRUN}" == "xTrue" ] || build-root/vagrant/build.sh
 fi
 
index 33eef0f..38ef7e0 100644 (file)
@@ -18,6 +18,13 @@ if [ $? != 0 ]; then
 fi
 
 cp build-root/*.deb csit/
+if [ -e dpdk/vpp-dpdk-dkms*.deb ]
+then
+    cp dpdk/vpp-dpdk-dkms*.deb csit/
+else
+    cp /var/cache/apt/archives/vpp-dpdk-dkms*.deb csit/
+fi
+
 cd csit
 # execute csit bootstrap script if it exists
 if [ -e bootstrap.sh ]
index b601137..4a7480a 100644 (file)
@@ -23,6 +23,13 @@ if [ $? != 0 ]; then
 fi
 
 cp build-root/*.deb csit/
+if [ -e dpdk/vpp-dpdk-dkms*.deb ]
+then
+    cp dpdk/vpp-dpdk-dkms*.deb csit/
+else
+    cp /var/cache/apt/archives/vpp-dpdk-dkms*.deb csit/
+fi
+
 cd csit
 # execute csit bootstrap script if it exists
 if [ ! -e bootstrap-verify-perf.sh ]
index 70f844f..4cd56a7 100644 (file)
 
     builders:
         - shell:
-            !include-raw-escape: include-raw-vpp-checkstyle.sh
+            !include-raw-escape:
+                - include-raw-vpp-checkstyle.sh
         - shell:
             !include-raw-escape:
                 - ../scripts/setup_vpp_dpdk_dev_env.sh
                 - include-raw-vpp-build.sh
         - shell:
-            !include-raw-escape: include-raw-vpp-csit-functional.sh
+            !include-raw-escape:
+                - include-raw-vpp-csit-functional.sh
 
     publishers:
         - archive-artifacts:
                 - ../scripts/setup_vpp_dpdk_dev_env.sh
                 - include-raw-vpp-build.sh
         - shell:
-            !include-raw-escape: include-raw-vpp-csit-verify-perf.sh
+            !include-raw-escape:
+                - include-raw-vpp-csit-verify-perf.sh
 
     publishers:
         - archive-artifacts: